package football

import "git.lehouerou.net/laurent/sorare/graphql"

type Rivals struct {
	c *graphql.Client

	PastGames *graphql.PaginatedQuery[RivalsGame, graphql.EmptyParams]
}

func NewRivals(c *graphql.Client) *Rivals {
	return &Rivals{
		c: c,

		PastGames: graphql.NewPaginatedQuery[RivalsGame, graphql.EmptyParams](c, "pastGamesPaginated", []string{"football", "rivals"}).WithOverrideComplexity(107),
	}
}
